
@for $i from 1 through 12 {
    #{if(&, "&", "*")}.grid-#{$i} {
        // margin-right: -8px;
        .item{
            width: percentage(1/$i);
            padding-right: 8px;
        }
    }
}

@media (min-width: $medium-up) {
    @for $i from 1 through 12 {
        #{if(&, "&", "*")}.grid-md-#{$i} {
            // margin-right: -8px;
            .item{
                width: percentage(1/$i);
                padding-right: 8px;
            }
        }
    }
}

@media (min-width: $large-up) {
    @for $i from 1 through 12 {
        #{if(&, "&", "*")}.grid-lg-#{$i} {
            // margin-right: -8px;
            .item{
                width: percentage(1/$i);
                padding-right: 8px;
            }
        }
    }
}